Jump to content

Recommended Posts

Re:Fork of BWS. If new mods are added to BWS will they get added to this fork?

Hidden Adventures I might try installing when the 2.5 is out, no mention on mod list or game.ini but states EET ready. Is it same format to ask for mods to be included like BWS?

https://github.com/Gitjas/hiddenadventure

It looks like it is now available in English as well, formerly it was German only.

I will take a look at it and include it.

Do you by any chance have a link to some forum about the mod, currently there is a lot of re-building Kerzenburg.

I only found German pages for the older versions, the one to be used would be beta3, which is linked in your post.

 

It may be best to wait until jastey makes some official announcement about the new version, she usually does when she thinks her mods are ready for public use.

 

It has some crossmod dependencies that need to be confirmed, this appears ti be just a matter of install sequence. Plus one component is EET only (Silver dagger).

Edited by Roxanne
Link to comment

 

I found that too. It is from 2014? It is for the older version.

The download has a comprehensive readme, that is sufficient for all the information needed to configure the mod in the setup tool.

 

That's the current mod thread, the link in the first post links to the GitHub rep. Yes, I am updating the mod currently. The current version has an English version. It's not fully tested yet and more components might be added.

If anyone wants to include it into their install I'd be happy, but I'm not sure it's ready to be included into players' installs if they don't know it's a beta and know how to call for help if there is a problem.

Link to comment

Attention.gif?_subject_uid=459850086&raw

 

I have used one of my own mods under test (Tamoko in BG1+SoD) to see how such a mod works in the revised context.

- colour marking

- attention text

- requires individual selection by user to be included.

 

It is up to any modder to decide for such a treatment or wait for other test results.

There is argument for both decisions, one may get more players testing it but may lead to a negative perception by others.

Edited by Roxanne
Link to comment

Once EET is installed is it possible to uninstall, reinstall, or make changes by re-running the Weidu setup files for a mod?

 

Let's say I wanted to change a mod that installs kits, or changes items or weapons, is it possible to do that?

 

If so I assume I wouldn't be able to use a save game, but would need to start a new game for any changes to take effect. Or am I just not able to make any adjustments once the EET final setup file is run? I'm mostly wanting to just make adjustments in some mods as I learn more about them, without having to do a complete re-install that may take hours to do.

Link to comment

Once EET is installed is it possible to uninstall, reinstall, or make changes by re-running the Weidu setup files for a mod?

 

Let's say I wanted to change a mod that installs kits, or changes items or weapons, is it possible to do that?

 

If so I assume I wouldn't be able to use a save game, but would need to start a new game for any changes to take effect. Or am I just not able to make any adjustments once the EET final setup file is run? I'm mostly wanting to just make adjustments in some mods as I learn more about them, without having to do a complete re-install that may take hours to do.

If you already beforehand which mods are just *candidates* you can leave them out of the tool selection and install them after the automation has finished. Unless those are NPC or quest mods requiring EET_end this will work.

 

You cannot change anything that is installed in the BGEE part prior EET.

 

For anything else there may or may not be a solution - this is not a question of using a tool to install or doing it manually, it is dictated by the way WEIDU is working. All mod installations depend on that.

 

The method to change a running installation depends on what you want to change - there is not a global answer to this.

 

In addition, some changes require starting a new game , some do not. This is depending on which files/data structures are affected by the change and especially HOW they are stored in the saved games.

 

Long story short. It depends on the individual case.

Link to comment

Thanks Roxanne. That helps me understand a little better, and give me an idea of what to research to get a handle on which mods I will hold out of the install and do afterwards. I'm getting a better grasp on how to best run the EE Tool, and mastering it's different functions. The updates you and Alien have included have so far helped me to get a better grasp of Mod selection and other things. Now I'm gonna try to install and work through the conflicts and dependencies since it appears you have made it clearer on how to handle those. I just have to wait until my next day off since I'm not sure how many hours it will take, my last one was almost 12 hours, but admittedly It was my first attempt and I kind of stumbled through it. This time I'm a little better prepared.

Link to comment

Which script do we run the first time, "start" or "update"? The instructions in the OP say the opposite of what's in the readme. Thanks.

Alien just made a change some hours ago, I still need to update the documentation.

 

Use the *Update* if it is the first time you start the tool. This is to assure you have the latest version of all configuration files.

Link to comment

I loaded the EET compilation, but I can't deselect any of the preselects. That would be fine, except for the V25 area patch -- I haven't installed the beta.

You mean the one in the very first category, EET itself, fixpack, EET_end and some other essentials?

No you cannot, they are essential for EET, deselecting them would ruin the installation.

 

The v25Beta is also fixed, even if you may not need it, to make it easier for users to have it automatically included if needed. It simply does nothing on your version. The rationale is here http://gibberlings3.net/forums/index.php?showtopic=29349&page=2&do=findComment&comment=260180.

 

If you find that irritating, it could be configured to be always pre-selected but unselectable if you feel like not needing it. Your feedback is welcome to see what users find more intuitive. I just want to make sure that those who need it do not forget it. Those not needing it may not care.

Just let me know your opinion.

Edited by Roxanne
Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...